CREATE TABLE bm_eligibility_rule (
    ID                           NUMBER(18, 0) ,
    VARIABLE_NAME                VARCHAR2(512)     NOT NULL,
    NAME                         VARCHAR2(2048)    NOT NULL,
    DESCRIPTION                  VARCHAR2(4000),
    CONDITION_ROW_GROUPING       VARCHAR2(4000),
    CONDITION_EXPRESSION_TREE    VARCHAR2(4000),
    SELECTION_EXPRESSION_TREE    VARCHAR2(4000),
    SELECTION_ROW_GROUPING       VARCHAR2(4000),
    CONDITION_TYPE               NUMBER(1, 0)  ,
    SELECTION_TYPE               NUMBER(1, 0)  ,
    START_DATE                   DATE          ,
    END_DATE                     DATE          ,
    ACTIVE                       NUMBER(1, 0)  ,
    LAST_DEPLOYED_DATE           TIMESTAMP(6)  ,
    DATE_ADDED                   TIMESTAMP(6)      NOT NULL,
    DATE_MODIFIED                TIMESTAMP(6)      NOT NULL,
    RULE_TYPE                    NUMBER(1, 0)  ,
    GUID                         VARCHAR2(1020),
    ID                           NUMBER(18, 0) ,
    VARIABLE_NAME                VARCHAR2(512)     NOT NULL,
    NAME                         VARCHAR2(2048)    NOT NULL,
    DESCRIPTION                  VARCHAR2(4000),
    CONDITION_ROW_GROUPING       VARCHAR2(4000),
    CONDITION_EXPRESSION_TREE    VARCHAR2(4000),
    SELECTION_EXPRESSION_TREE    VARCHAR2(4000),
    SELECTION_ROW_GROUPING       VARCHAR2(4000),
    CONDITION_TYPE               NUMBER(1, 0)  ,
    SELECTION_TYPE               NUMBER(1, 0)  ,
    START_DATE                   DATE          ,
    END_DATE                     DATE          ,
    ACTIVE                       NUMBER(1, 0)  ,
    LAST_DEPLOYED_DATE           TIMESTAMP(6)  ,
    DATE_ADDED                   TIMESTAMP(6)      NOT NULL,
    DATE_MODIFIED                TIMESTAMP(6)      NOT NULL,
    RULE_TYPE                    NUMBER(1, 0)  ,
    GUID                         VARCHAR2(1020),
    CONSTRAINT pk_bm_eligibility_rule PRIMARY KEY (ID, ID)
);
